btb-class |

# Set(TItem) Methods

The methods of the Set(TItem) class are listed below. For a complete list of Set(TItem) class members, see the Set(TItem) Members topic.

#### Public Instance Methods

Add | Adds an item to the ICollection`1.
AddRange | Add the specified items in the set.
AsReadOnly | Get read-only variant of this collection.
Clear | Removes all items from the ICollection`1.
ExceptWith | Remove items contained in the specified IEnumerable{T}.
Remove | Removes the first occurrence of a specific object from the ICollection`1.
RemoveRange | Remove the specified items from the set.
SymmetricExceptWith | Change the set to contain only items common to the set and the specified enumerable.
UnionWith | Change the set to contain both items of the set and items of the specified enumerable.

#### See Also

Set<TItem> Class | ComponentOwl.BetterThumbnailBrowser.Collections Namespace